<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingEnd="10dp"
    tools:background="#073388">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/labLabel"
        android:layout_width="0dp"
        android:layout_height="62dp"
        android:layout_marginStart="183dp"
        android:background="@mipmap/img_zrdw_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/subjectName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="43dp"
            android:textColor="#ff333333"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="环境与测绘大楼-C111" />

        <TextView
            android:id="@+id/deptName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="30dp"
            android:textColor="#ff333333"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/subjectName"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="责任单位：环境与测绘学院" />

        <ImageView
            android:id="@+id/qrCode"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginEnd="17dp"
            android:contentDescription="@null"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/labLevel"
        android:layout_width="195dp"
        android:layout_height="62dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:background="@drawable/shape_rect_round_31_solid_yellow">

        <TextView
            android:id="@+id/labLevelInfo"
            android:layout_width="182dp"
            android:layout_height="52dp"
            android:background="@drawable/shape_rect_round_26_stroke_white"
            android:gravity="center"
            android:text="特种设备类  |  二级"
            android:textColor="#FFFEFEFE"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="11dp"
        android:background="@drawable/shape_rect_round_11_solid_white"
        android:padding="17dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/labLabel">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/contentTop"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_rect_round_6_solid_0b85f8_20p"
            android:paddingStart="17dp"
            android:paddingTop="10dp"
            android:paddingEnd="17dp"
            android:paddingBottom="10dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/adminUserImage"
                android:layout_width="12dp"
                android:layout_height="14dp"
                android:contentDescription="@null"
                android:src="@mipmap/icon_sy_sysfzr"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/adminUserLabel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:text="实验室负责人："
                android:textColor="#FF333333"
                android:textSize="11sp"
                app:layout_constraintStart_toEndOf="@id/adminUserImage"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="SmallSp" />

            <TextView
                android:id="@+id/adminUser"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:textColor="#ff333333"
                android:textSize="11sp"
                app:layout_constraintStart_toEndOf="@id/adminUserLabel"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="SmallSp"
                tools:text="姓名-13255668899" />

            <ImageView
                android:id="@+id/safeUserImage"
                android:layout_width="12dp"
                android:layout_height="14dp"
                android:visibility="gone"
                android:layout_marginStart="26dp"
                android:contentDescription="@null"
                android:src="@mipmap/icon_sy_aqzrr"
                app:layout_constraintStart_toEndOf="@id/adminUser"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/safeUserLabel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:text="安全责任人："
                android:visibility="gone"
                android:textColor="#FF333333"
                android:textSize="11sp"
                app:layout_constraintStart_toEndOf="@id/safeUserImage"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="SmallSp" />

            <TextView
                android:id="@+id/safeUser"
                android:layout_width="0dp"
                android:visibility="gone"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:textColor="#ff333333"
                android:textSize="11sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/safeUserLabel"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="SmallSp"
                tools:text="姓名-13255668899   姓名-13255668899   姓名-13255668899" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/content"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="12dp"
            app:layout_constraintBottom_toTopOf="@id/specialFlipper"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.47"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/contentTop"
            app:layout_constraintVertical_bias="0.0" />

        <AdapterViewFlipper
            android:id="@+id/specialFlipper"
            android:layout_width="0dp"
            android:layout_height="30dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>